#include <iostream>

using namespace std;

int n, k, x;
int a[1005];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin >> n >> k >> x;
    if (k == 3){
        cout << "1 2 3 ";
        for (int i = 0; i < n - 3; ++i){
            cout << 3 + 2 * x << " ";
        }
    }
    return 0;
}